# $Id: gcc.spec,v 1.17 2001/03/18 04:08:01 solar Exp $

%define GCC_PREFIX	/usr
%define CPP_PREFIX	/lib
%define GCC_VERSION	2.95.3
%define STDC_VERSION	2.10.0

%define BUILD_OBJC 	'no'
%define BUILD_F77	'no'
%define BUILD_CHILL 	'no'

Summary:	Various compilers (C, C++, Objective-C, f77, ...)
Name:		gcc
Version:	%{GCC_VERSION}
Release:	1owl
Serial:		1
Copyright:	GPL
URL:		http://gcc.gnu.org
Group:		Development/Languages
Source0:	ftp://ftp.gnu.org/pub/gnu/gcc/gcc-%{GCC_VERSION}.tar.gz
Source1:	libstdc++-compat.tar.bz2
Patch0:		gcc-2.95.2-rh-warn.diff
Patch1:		gcc-2.95.2-owl-disable-dvi.diff
Patch2:		gcc-2.95.2-owl-texconfig-bug.diff
%if "%{GCC_VERSION}" != "2.95.2"
Patch3:		gcc-2.95.3-owl-sparcv9-LONG_MAX.diff
%else
Patch3:		gcc-2.95.2-owl-sparcv9-LONG_MAX.diff
Patch4:		gcc-2.95.2-owl-rth-array-1-alpha.diff
%endif
Packager:	<kad@owl.openwall.com>
Distribution:	Owl
BuildRoot:	/var/rpm-buildroot/%{name}-root
Obsoletes: 	egcs
Requires: 	binutils >= 2.9.1.0.25
Requires: 	cpp = %{GCC_VERSION}
Prereq: 	/sbin/install-info

%description
The gcc package contains the GNU Compiler Collection: cc and gcc. You'll need
this package in order to compile C/C++ code.

%package c++
Summary: 	C++ support for gcc
Obsoletes: 	egcs-c++
Group:		Development/Languages
Requires: 	gcc = %{GCC_VERSION}
Requires: 	cpp = %{GCC_VERSION}

%description c++
This package adds C++ support to the GNU C compiler. It includes support
for most of the current C++ specification, including templates and
exception handling. It does include the static standard C++
library and C++ header files; the library for dynamically linking
programs is available separately.

%package -n libstdc++
Summary: 	GNU c++ library
Group:		System Environment/Libraries
Obsoletes: 	gcc-libstdc++
Provides: libstdc++-libc6.1-1.so.2 libstdc++-libc6.1-2.so.3 libstdc++.so.2.9

%description -n libstdc++
The libstdc++ package contains a snapshot of the GCC Standard C++
Library v3, an ongoing project to implement the ISO 14882 Standard C++
library.

%ifarch %ix86

%package -n libstdc++-compat
Summary: GNU old c++ library
Group: System Environment/Libraries

%description -n libstdc++-compat
This is the GNU implementation of the standard C++ libraries. This package
includes the old shared libraries necessary to run C++ applications.

%endif

%package -n libstdc++-devel
Summary: 	Header files and libraries for C++ development
Group:		Development/Libraries
Obsoletes: 	gcc-libstdc++-devel

%description -n libstdc++-devel
This is the GNU implementation of the standard C++ libraries.  This
package includes the header files and libraries needed for C++
development. This includes SGI's implementation of the STL.

%package -n cpp
Summary: 	The C Preprocessor.
Group:		Development/Languages
Prereq: 	/sbin/install-info

%description -n cpp
Cpp (or cccp) is the GNU C-Compatible Compiler Preprocessor.
Cpp is a macro processor which is used automatically
by the C compiler to transform your program before actual
compilation. It is called a macro processor because it allows
you to define macros, abbreviations for longer
constructs.

The C preprocessor provides four separate functionalities: the
inclusion of header files (files of declarations that can be
substituted into your program); macro expansion (you can define macros,
and the C preprocessor will replace the macros with their definitions
throughout the program); conditional compilation (using special
preprocessing directives, you can include or exclude parts of the
program according to various conditions); and line control (if you use
a program to combine or rearrange source files into an intermediate
file which is then compiled, you can use line control to inform the
compiler about where each source line originated).

You should install this package if you are a C programmer and you use
macros.

%if "%{BUILD_OBJC}"=="'yes'"
%package objc
Summary: 	Objective C support for gcc
Group:		Development/Languages
Obsoletes:	egcs-objc
Requires:	gcc = %{GCC_VERSION}
Requires:	cpp = %{GCC_VERSION}

%description objc
This package adds Objective C support to the GNU C compiler. Objective
C is a object oriented derivative of the C language, mainly used on
systems running NeXTSTEP. This package does not include the standard
objective C object library.
%endif

%if "%{BUILD_F77}"=="'yes'"
%package g77
Summary:	Fortran 77 support for gcc
Group:		Development/Languages
Obsoletes:	egcs-g77
Requires:	gcc = %{GCC_VERSION}

%description g77
This package adds support for compiling Fortran 77 programs with the GNU
compiler.

%endif

%if "%{BUILD_CHILL}"=="'yes'"
%package chill
Summary: 	CHILL support for gcc
Group:		Development/Languages
Requires:	gcc = %{GCC_VERSION}

%description chill
This package adds support for compiling CHILL programs with the GNU
compiler.

Chill is the "CCITT High-Level Language", where CCITT is the old
name for what is now ITU, the International Telecommunications Union.
It is is language in the Modula2 family, and targets many of the
same applications as Ada (especially large embedded systems).
Chill was never used much in the United States, but is still
being used in Europe, Brazil, Korea, and other places.

%endif


%prep
%setup -q -n gcc-%{GCC_VERSION} -a 1
%patch0 -p1
%patch1 -p0
%patch2 -p1
%patch3 -p1
%if "%{GCC_VERSION}" == "2.95.2"
%patch4 -p1
%endif

# Remove bison-generated files - we want bison 1.28'ish versions...
for i in gcc/cp/parse gcc/c-parse gcc/cexp gcc/java/parse-scan gcc/java/parse gcc/objc/objc-parse; do
	rm -f $i.c
done

# Remove unneeded languages.
rm -f gcc/java/config-lang.in

%if "%{BUILD_OBJC}"!="'yes'"
	rm -f gcc/objc/config-lang.in
%endif
%if "%{BUILD_F77}"!="'yes'"
	rm -f gcc/f/config-lang.in
%endif
%if "%{BUILD_CHILL}"!="'yes'"
	rm -f gcc/ch/config-lang.in
%endif


%build
%ifarch sparcv9
%define _target_platform sparc-%{_vendor}-%{_target_os}
%endif

rm -fr obj-%{_target_platform}
mkdir obj-%{_target_platform}
cd obj-%{_target_platform}

%ifarch sparc sparcv9
# pthreads are currently not supported on sparc
CFLAGS="`echo $RPM_OPT_FLAGS|sed -e 's/-fno-rtti//g'` -fexceptions" \
	CXXFLAGS="`echo $RPM_OPT_FLAGS|sed -e 's/-fno-rtti//g'` -fexceptions" \
	XCFLAGS="`echo $RPM_OPT_FLAGS|sed -e 's/-fno-rtti//g'` -fexceptions" \
	TCFLAGS="`echo $RPM_OPT_FLAGS|sed -e 's/-fno-rtti//g'` -fexceptions" \
	../configure --prefix=%{GCC_PREFIX} \
	--enable-shared --enable-haifa \
	--host=%{_target_platform}
%else
CFLAGS="`echo $RPM_OPT_FLAGS|sed -e 's/-fno-rtti//g'` -fexceptions" \
	CXXFLAGS="`echo $RPM_OPT_FLAGS|sed -e 's/-fno-rtti//g'` -fexceptions" \
	XCFLAGS="`echo $RPM_OPT_FLAGS|sed -e 's/-fno-rtti//g'` -fexceptions" \
	TCFLAGS="`echo $RPM_OPT_FLAGS|sed -e 's/-fno-rtti//g'` -fexceptions" \
	../configure --prefix=%{GCC_PREFIX} \
	--enable-shared --enable-threads=posix --enable-haifa \
	--host=%{_target_platform}
%endif
touch ../gcc/c-gperf.h

make bootstrap-lean

# run the tests.
# rpm seems to terminate when make -k check fails.
# make -k check || true

# Copy various doc files here and there
cd ..
mkdir -p rpm.doc/libstdc++ rpm.doc/g77 rpm.doc/chill rpm.doc/objc

pushd libio
for i in ChangeLog*; do
	cp -p $i ../rpm.doc/libstdc++/$i.libio
done
popd

pushd libstdc++
for i in ChangeLog*; do
	cp -p $i ../rpm.doc/libstdc++/$i.libstdc++
done
popd

pushd gcc/f
for i in ChangeLog*; do
	cp -p $i ../../rpm.doc/g77/$i.f
done
popd

pushd libf2c
for i in ChangeLog*; do
	cp -p $i ../rpm.doc/g77/$i.libf2c
done
popd

pushd gcc/ch
for i in ChangeLog*; do
	cp -p $i ../../rpm.doc/chill/$i.ch
done
popd

pushd libchill
for i in ChangeLog*; do
	cp -p $i ../rpm.doc/chill/$i.libchill
done
popd

pushd gcc/objc
for i in README*; do
	cp -p $i ../../rpm.doc/objc/$i.objc
done
popd

pushd libobjc
for i in README*; do
	cp -p $i ../rpm.doc/objc/$i.libobjc
done
popd

%install
rm -fr $RPM_BUILD_ROOT

cd obj-%{_target_platform}
make prefix=$RPM_BUILD_ROOT%{GCC_PREFIX} install

FULLVER=`$RPM_BUILD_ROOT%{GCC_PREFIX}/bin/%{_target_platform}-gcc --version | \
	cut -d' ' -f1`
FULLPATH=$(dirname $RPM_BUILD_ROOT%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/$FULLVER/cc1)

file $RPM_BUILD_ROOT/%{GCC_PREFIX}/bin/* | grep ELF | cut -d':' -f1 | xargs strip || :
strip $FULLPATH/cc1

# fix some things
ln -sf gcc $RPM_BUILD_ROOT%{GCC_PREFIX}/bin/cc
rm -f $RPM_BUILD_ROOT%{GCC_PREFIX}/info/dir
gzip -9nf $RPM_BUILD_ROOT%{GCC_PREFIX}/info/*.info*
%if "%{BUILD_F77}"=="'yes'"
ln -sf g77 $RPM_BUILD_ROOT%{GCC_PREFIX}/bin/f77
%endif

mkdir -p $RPM_BUILD_ROOT/lib
%if "%{GCC_VERSION}" != "2.95.2"
ln -sf ../${FULLPATH##$RPM_BUILD_ROOT/}/cpp0 $RPM_BUILD_ROOT/lib/cpp
%else
ln -sf ../${FULLPATH##$RPM_BUILD_ROOT/}/cpp $RPM_BUILD_ROOT/lib/cpp
%endif

ln -sf cccp.1 $RPM_BUILD_ROOT%{GCC_PREFIX}/man/man1/cpp.1

%ifarch %ix86
# install the compatibility libstdc++ library
pwd
test -d ../compat/i386 && install -m 755 ../compat/i386/* $RPM_BUILD_ROOT%{GCC_PREFIX}/lib/
%endif

cd ..
cat >gcc-filelist <<EOF
%defattr(-,root,root)
%{GCC_PREFIX}/bin/gcc
%{GCC_PREFIX}/bin/cc
%{GCC_PREFIX}/bin/protoize
%{GCC_PREFIX}/bin/unprotoize
%{GCC_PREFIX}/bin/gcov
%{GCC_PREFIX}/bin/%{_target_platform}-gcc
%{GCC_PREFIX}/man/man1/gcc.1*
%{GCC_PREFIX}/info/gcc*
%dir %{GCC_PREFIX}/lib/gcc-lib
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/include
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/cc1
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/collect2
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/crt*.o
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/libgcc.a
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/SYSCALLS.c.X
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/specs
%doc gcc/README* gcc/*ChangeLog*
EOF

(cd $RPM_BUILD_ROOT%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/include &&
	ls | egrep -v '^((objc)|(exception)|(typeinfo)|(new(\.h)?))$'
) | sed 's|^|%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/include/|' \
	>>gcc-filelist

# This is required for the old RedHat 6. based programs ...

cd $RPM_BUILD_ROOT/usr/lib
ln -sf libstdc++-3-libc6.1-2-2.10.0.so libstdc++-libc6.1-1.so.2
ln -sf libstdc++-3-libc6.1-2-2.10.0.so libstdc++-libc6.1-1.1.so.2
ln -sf libstdc++-3-libc6.1-2-2.10.0.so libstdc++.so.2.9

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info \
	--info-dir=%{GCC_PREFIX}/info %{GCC_PREFIX}/info/gcc.info.gz

%preun
if [ $1 -eq 0 ]; then
	/sbin/install-info --delete \
		--info-dir=%{GCC_PREFIX}/info %{GCC_PREFIX}/info/gcc.info.gz
fi

%post -n libstdc++
if ! grep '^%{GCC_PREFIX}/lib$' /etc/ld.so.conf > /dev/null 2>&1; then
	echo %{GCC_PREFIX}/lib >>/etc/ld.so.conf
fi
/sbin/ldconfig

%postun -n libstdc++
if [ $1 -eq 0 ]; then
	grep -v "%{GCC_PREFIX}/lib" /etc/ld.so.conf >/etc/ld.so.conf.new
	mv -f /etc/ld.so.conf.new /etc/ld.so.conf
fi
/sbin/ldconfig

%ifarch %ix86

%post -n libstdc++-compat
if ! grep '^%{GCC_PREFIX}/lib$' /etc/ld.so.conf > /dev/null 2>&1; then
	echo %{GCC_PREFIX}/lib >>/etc/ld.so.conf
fi
/sbin/ldconfig

%postun -n libstdc++-compat
if [ $1 -eq 0 ]; then
	grep -v "%{GCC_PREFIX}/lib" /etc/ld.so.conf >/etc/ld.so.conf.new
	mv -f /etc/ld.so.conf.new /etc/ld.so.conf
fi
/sbin/ldconfig

%endif

%post -n cpp
/sbin/install-info \
	--info-dir=%{GCC_PREFIX}/info %{GCC_PREFIX}/info/cpp.info.gz

%preun -n cpp
if [ $1 -eq 0 ]; then
    /sbin/install-info --delete \
	--info-dir=%{GCC_PREFIX}/info %{GCC_PREFIX}/info/cpp.info.gz
fi

/sbin/ldconfig

%files -f gcc-filelist

%files -n cpp
%defattr(-,root,root)
%{CPP_PREFIX}/cpp
%{GCC_PREFIX}/man/man1/cpp.1*
%{GCC_PREFIX}/man/man1/cccp.1*
%{GCC_PREFIX}/info/cpp.info*.gz
%if "%{GCC_VERSION}" != "2.95.2"
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/cpp0
%else
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/cpp
%endif

%files c++
%defattr(-,root,root)
%{GCC_PREFIX}/man/man1/g++.1*
%{GCC_PREFIX}/bin/g++
%{GCC_PREFIX}/bin/c++
%dir %{GCC_PREFIX}/lib/gcc-lib
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/include
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/cc1plus
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/include/exception
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/include/new
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/include/new.h
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/include/typeinfo
%doc gcc/cp/ChangeLog*

%files -n libstdc++
%defattr(-,root,root)
%{GCC_PREFIX}/lib/libstdc++-3-libc*-%{STDC_VERSION}.so
%{GCC_PREFIX}/lib/libstdc++-libc*.so.3
%{GCC_PREFIX}/lib/libstdc++-libc*.so.2
%{GCC_PREFIX}/lib/libstdc++.so.2.9
%dir %{GCC_PREFIX}/lib/gcc-lib
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/include
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/libstdc++.so

%ifarch %ix86
%files -n libstdc++-compat
%defattr(-,root,root)
%{GCC_PREFIX}/lib/libstdc++.so.2.7.2.8
%{GCC_PREFIX}/lib/libstdc++.so.2.8.0
%{GCC_PREFIX}/lib/libstdc++-2-libc6.1-1-2.9.0.so
%{GCC_PREFIX}/lib/libstdc++.so.2.9.dummy
%{GCC_PREFIX}/lib/libstdc++.so.2.9
%endif

%files -n libstdc++-devel
%defattr(-,root,root)
%{GCC_PREFIX}/lib/libstdc++-3-libc*-%{STDC_VERSION}.a
%{GCC_PREFIX}/lib/libstdc++-libc*.a.3
%{GCC_PREFIX}/include/g++-3
%dir %{GCC_PREFIX}/lib/gcc-lib
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/include
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/libstdc++.a
%doc rpm.doc/libstdc++/*


%if "%{BUILD_OBJC}"=="'yes'"
%files objc
%defattr(-,root,root)
%dir %{GCC_PREFIX}/lib/gcc-lib
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/include
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/cc1obj
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/libobjc.a
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/include/objc
%doc rpm.doc/objc/*
%doc libobjc/THREADS* libobjc/ChangeLog
%endif

%if "%{BUILD_F77}"=="'yes'"
%post g77
/sbin/install-info \
	--info-dir=%{GCC_PREFIX}/info %{GCC_PREFIX}/info/g77.info.gz

%preun g77
if [ $1 -eq 0 ]; then
	/sbin/install-info --delete \
		--info-dir=%{GCC_PREFIX}/info %{GCC_PREFIX}/info/g77.info.gz
fi

%files g77
%defattr(-,root,root)
%{GCC_PREFIX}/bin/g77
%{GCC_PREFIX}/bin/f77
%{GCC_PREFIX}/info/g77*
%dir %{GCC_PREFIX}/lib/gcc-lib
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/include
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/f771
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/libg2c.a
%{GCC_PREFIX}/man/man1/g77.1*
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/include/g2c.h
%doc gcc/f/README rpm.doc/g77/*
%endif

%if "%{BUILD_CHILL}"=="'yes'"
%post chill
/sbin/install-info \
	--info-dir=%{GCC_PREFIX}/info %{GCC_PREFIX}/info/chill.info.gz

%preun chill
if [ $1 -eq 0 ]; then
	/sbin/install-info --delete \
		--info-dir=%{GCC_PREFIX}/info %{GCC_PREFIX}/info/chill.info.gz
fi

%files chill
%defattr(-,root,root)
%{GCC_PREFIX}/bin/chill
%{GCC_PREFIX}/info/chill*
%dir %{GCC_PREFIX}/lib/gcc-lib
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}
%dir %{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/include
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/cc1chill
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/chill*.o
%{GCC_PREFIX}/lib/gcc-lib/%{_target_platform}/%{GCC_VERSION}/libchill.a
%doc gcc/ch/README gcc/ch/chill.brochure rpm.doc/chill/*
%endif

%changelog
* Sun Mar 18 2001 Solar Designer <solar@owl.openwall.com>
- Updated to 2.95.3.
- Dropped the duplicate_decls() patch (included in 2.95.3).
- Various spec file cleanups (use %ix86, avoid subshells).

* Fri Nov 17 2000 Solar Designer <solar@owl.openwall.com>
- No pthreads on sparcv9, not just on plain sparc.
- Pass plain sparc- target to configure when building for sparcv9, to
allow for the use of sparcv9 optflags while not confusing configure.
- Check for __arch64__ rather than __sparc_v9__ in limits.h.
- %defattr(-,root,root) for all architectures, not just x86 and alpha
(no idea why this was restricted).

* Wed Nov 08 2000 Solar Designer <solar@owl.openwall.com>
- Added a patch for copying of DECL_MODE in duplicate_decls(), by
Richard Henderson (http://gcc.gnu.org/ml/gcc-patches/1999-11/msg00087.html).

* Sun Oct 29 2000 Solar Designer <solar@owl.openwall.com>
- libstdc++-compat is for x86 only, corrected the %ifarch's.

* Sat Oct 21 2000 Alexandr D. Kanevskiy <kad@owl.openwall.com>
- texconfig bug hack

* Fri Oct 20 2000 Alexandr D. Kanevskiy <kad@owl.openwall.com>
- disable dvi generation

* Fri Aug 25 2000 Alexandr D. Kanevskiy <kad@owl.openwall.com>
- removed make -j

* Sat Jul 29 2000 Alexandr D. Kanevskiy <kad@owl.openwall.com>
- spec cleanup.
- duplicate file fix.

* Sun Jul  9 2000 Alexandr D. Kanevskiy <kad@owl.openwall.com>
- Imported from RH.

* Sat Dec 11 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- Obsolete egcs*, g77
- Add egcs 1.1.x'ish libstdc++ versions to libstdc++-compat

* Wed Dec  8 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix build on sparc

* Tue Dec  7 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- Add -warn patch (adapted from egcs-1.1.2 RPM)
- drop release number to 1 for 7.0 tree

* Tue Oct 26 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- 2.95.2 release

* Sun Oct 24 1999 Bernhard Rosenkraenzer <bero@redhat.com>
- initial RPM
